## Bsoft program

# bmissing

### Usage: bmissing [options] input.img/mg.star output.img

Generates binary masks corresponding to reciprocal space regions.
The selected regions have value 1 and the omitted regions 0. The default is a blank mask created of the same size as the input image.

### Actions for mask creation:

-create 20,60,30 | Create a new mask of this size in place of input image
| or using the micrograph orientations in the parameter file.
-find wedge | Find the missing regions and create a new mask.

### Actions for mask modification:

-wedge 45,-70,65 | Missing wedge mask: tilt axis angle, first and last tilt angles.
-pyramid | 40,-60,60,130,-55,60 Missing pyramid mask: 2 sets of tilt axis angle, first and last tilt angles.
-cone 65 | Missing cone mask: one tilt angle.
-invert | Invert mask just before writing the image.
-dilate 2 | Dilate mask a number of times.

### Parameters:

-verbose 1 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-origin 110,50,44 | Origin for the mask (default 0,0,0).
-wrap | Flag to wrap around image boundaries (default not).
-resolution 20 | Resolution limit (angstrom, default Nyquist).

### Parameters for micrograph orientations:

-scale 1.2 | Scale or magnification of mask compared to original images (default 1).

### Examples:

| 1. Creating a new mask:
| bmissing -v 7 -create 100,100,50 -wedge 45,-60,65 -origin 50,50,25 mask.mrc
| 2. Generating a mask from an image:
| bmissing -v 7 -pyramid 30,-30,70,120,-60,50 -wrap input.map mask.mrc
| 3. Generating a mask from micrograph orientations:
| bmissing -v 7 -create 100,100,50 -wrap mg.star mask.pif

Bsoft version 2.0.3-20180917 (64 bit)